<!DOCTYPE html>
<html lang="en">
<head>
    <title>Mass Media Web-Resource</title>
</head>
<body>
<h1>Форма редактирования</h1>
<form action="{{ url_for('st0728.updateItem', id=item.get_id()) }}" method="POST" class="form-contact">
    <input type="hidden" name="type" value="{{ item.get_type() }}">

    <p><label>Заголовок: </label>
    <input type="text" required name="title" value="{{ item.get_title() }}">

    <p><label>Содержание: </label>
    <textarea required name="text" rows=7 cols=40>{{ item.get_text() }}</textarea>

    {% if item.get_type() == 'news' %}
      <p><label>Источник: </label>
      <input type="text" name="source" value="{{ item.get_source() }}">

      <p><label>Дата публикации: </label>
      <input type="date" name="published_at" value="{{ item.get_published_at() }}">
    {% endif %}

    {% if item.get_type() == 'article' %}
      <p><label>Автор: </label>
      <input type="text" name="author" value="{{ item.get_author() }}">
    {% endif %}

    {% if item.get_type() == 'announcement' %}
      <p><label>Дата выхода: </label>
      <input type="date" name="out_date" value="{{ item.get_out_date() }}">
    {% endif %}

    <p>
        <button type="submit">Применить</button>
    </p>
</form>
<a href="{{ url_for('st0728.feed') }}">На главную</a>
</body>
</html>
